November 13, 2019, 11:55:59 pm

SETIv8 OSX Apps

Started by TBar, January 05, 2016, 11:31:52 am

Previous topic - Next topic

TBar

January 05, 2016, 11:31:52 am Last Edit: November 11, 2019, 03:06:20 pm by TBar
Some recent Apps for SETIv8. Packages contain an app_info.xml for the contained Apps.
Packages will be updated as testing continues.
The GPU App r3710 requires OSX 10.8 or higher, the SSE41 CPU App requires SSE41 and OSX 10.7.
The AVX CPU App r3366 requires OS 10.8, and the AVX2 CPU App requires 10.11.
The GPU Apps r4007 & r4008 require Sierra or higher.
The Optimized CPU Apps Don't Work in Catalina 10.15, for Catalina use the ATi5-SoG_r4008 & CPU-Graphics package which has the Stock CPU App 8.05 with CPU Graphics.
You should free at least One CPU core when running the GPU Apps.

To install the Apps copy&paste the expanded files into /Library/Application Support/BOINC Data/projects/setiathome.berkeley.edu and then run the BOINC Installer to set the file permissions. To revert to Stock just remove the files, note, removing the app_info.xml will cancel any existing tasks you have in your cache.

For Sierra and above Systems;
ATi5-SoG_r4008 & CPU-Graphics
ATi5-SoG_r4008 & CPU-SSE41
ATi5-SoG_r4008 & CPU-AVX
nVidia_r4007 & CPU-AVX

For Mountain Lion and above;
ATi5r3710&CPU-SSE41

TBar

January 09, 2016, 07:27:53 am #1 Last Edit: October 26, 2019, 04:26:07 am by TBar
MB CPU Apps for SETIv8. The SSE41 App will work with Core2 CPUs with at least SSE 4.1 in Lion and above, and with AVX CPUs in Mountain Lion and above.
The AVX App will work with AVX CPUs in Mountain Lion and above. The AVX2 App requires El Capitan.

SSE41_CPUr3711
AVX_CPUr3366
AVX2_CPUr3605

TBar

January 21, 2016, 01:02:21 pm #2 Last Edit: October 08, 2019, 02:51:49 am by TBar
Check to see if your GPU is CC 5.0 or above here, https://en.wikipedia.org/wiki/CUDA#GPUs_supported. See the Settings_and_Drivers.txt file in the docs folder for installation and best use.

CUDA 42 App for Pre-Fermi GPUs. CUDA Special Apps for GPUs with at least CC=5.0 (Maxwell and above). Correct CUDA Drivers will have to be installed and Updated for each OSX System Update, Links are included. CUDA 4.2 will work with Pre-Fermi GPUs in Snow Leopard to Mavericks, Pre-Fermi GPUs will not work in Yosemite and above although the 4.2 App will work with Fermi and above GPUs in the Latest OSX.

The CUDA 7.5 Special Apps are for Compute Code 5.0 and above GPUs. In Yosemite use at least the CUDA Driver 7.5.30 with App zi3t2b. El Capitan should use the CUDA 7.5 App zi3v with CUDA 8 Driver 8.0.71. Sierra should use v0.98b1_cuda90 with the last CUDA Driver for Sierra. The App v0.98b1_cuda101 will only work in High Sierra with the cuda 10.1 or above driver. Read the file v0.98 Settings_and_Drivers.txt to see the workarounds needed for v0.98b1. The Older App zi3v_cuda90 is for Sierra only and doesn't require the workarounds needed for v0.98b1.

Download for El Capitan and Yosemite: CUDA_Special-ElCap-Yosemite

Download for Sierra: CUDA9.0_Special-zi3v-Sierra

Download for Sierra and above: CUDA_Special-v0.98b1-Sierra&HS

Download for CUDA 42: CUDA42_Baseline.zip

arkayn

Lets bump the thread up just a bit.

arkayn

Direct links are now fixed, attachments still need a little work.

Powered by EzPortal